> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all project-defined events



## OpenAPI

````yaml /openapi.json get /project_defined_events
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /project_defined_events:
    get:
      tags:
        - Project defined events
      summary: List all project-defined events
      responses:
        '200':
          description: A list of `ProjectDefinedEvent` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  project_defined_events:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProjectDefinedEvent'
                    description: An array of `ProjectDefinedEvent` objects
                required:
                  - project_defined_events
components:
  schemas:
    ProjectDefinedEvent:
      type: object
      properties:
        id:
          type: string
          description: The ID of the project defined event
        event:
          type: string
          description: The event name. Likely takes the form `customer.created` or similar
        display_text:
          type: string
          description: >-
            The human-readable text for this event. Should grammatically follow
            "When..." e.g. "a customer is created"
        purchase_amount_path:
          type: string
          nullable: true
          description: Path for extracting purchase amount from event data
      required:
        - id
        - event
        - display_text
        - purchase_amount_path
      title: The ProjectDefinedEvent object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````